[ANN] Buildpack releases: ruby, php, python, nodejs, staticfile


Mike Dalessio
 

Hello CF community,

I'd like to announce update releases of the ruby, php, python, nodejs and
staticfile buildpacks.

*CF Binaries*

Primarily these releases were made to ship CF-specific binaries, as
discussed earlier on this mailing list, hence the minor version bump for
ruby, python, and nodejs.

The PHP buildpack also rolls in a restructuring of the manifest file,
meaning that instead of enumerating hundreds of PHP and HTTPD modules, the
module files are included in the "parent" tarball. As a result, previous
manifests are unlikely to work, and you'll notice that we've removed the
manifest-including-unsupported.yml file from the repository, and bumped the
major version to indicate a backwards-incompatible change.

*Security*

You'll also note a CVE related to the Rubygems client packaged by JRuby was
addressed in the ruby buildpack with the update of JRuby from 1.7.19 to
1.7.21.
------------------------------
Rubyv1.6.0 - 2015-07-20

https://github.com/cloudfoundry/ruby-buildpack/releases/tag/v1.6.0

- Include CF built binaries (
https://www.pivotaltracker.com/story/show/97136960)

Packaged binaries:

| name | version | cf_stacks |
|----------------------------|------------------------------|------------|
| ruby | 2.0.0 | cflinuxfs2 |
| ruby | 2.1.5 | cflinuxfs2 |
| ruby | 2.1.6 | cflinuxfs2 |
| ruby | 2.2.1 | cflinuxfs2 |
| ruby | 2.2.2 | cflinuxfs2 |
| jruby | ruby-1.9.3-jruby-1.7.21 | cflinuxfs2 |
| jruby | ruby-2.0.0-jruby-1.7.21 | cflinuxfs2 |
| jruby | ruby-2.2.2-jruby-9.0.0.0.rc2 | cflinuxfs2 |
| node | 0.12.7 | cflinuxfs2 |
| bundler | 1.9.7 | cflinuxfs2 |
| libyaml | 0.1.6 | cflinuxfs2 |
| openjdk1.8-latest | - | cflinuxfs2 |
| rails3_serve_static_assets | - | cflinuxfs2 |
| rails_log_stdout | - | cflinuxfs2 |

v1.5.2 - 2015-07-13

https://github.com/cloudfoundry/ruby-buildpack/releases/tag/v1.5.2

-

Update 1.7.* jrubies to 1.7.21 in response to CVE-2015-4020 Add support
for JRuby 9.0.0.0.rc2 Remove support for JRuby 9.0.0.0.rc1 (
https://www.pivotaltracker.com/story/show/98856174)
-

Add support for node version 0.12.7 (
https://www.pivotaltracker.com/story/show/98855140)

Packaged binaries:

| name | version | cf_stacks |
|----------------------------|------------------------------|------------|
| ruby | 2.0.0 | cflinuxfs2 |
| ruby | 2.1.5 | cflinuxfs2 |
| ruby | 2.1.6 | cflinuxfs2 |
| ruby | 2.2.1 | cflinuxfs2 |
| ruby | 2.2.2 | cflinuxfs2 |
| jruby | ruby-1.9.3-jruby-1.7.21 | cflinuxfs2 |
| jruby | ruby-2.0.0-jruby-1.7.21 | cflinuxfs2 |
| jruby | ruby-2.2.2-jruby-9.0.0.0.rc2 | cflinuxfs2 |
| node | 0.12.7 | cflinuxfs2 |
| bundler | 1.9.7 | cflinuxfs2 |
| libyaml | 0.1.6 | cflinuxfs2 |
| openjdk1.8-latest | - | cflinuxfs2 |
| rails3_serve_static_assets | - | cflinuxfs2 |
| rails_log_stdout | - | cflinuxfs2 |

PHPv4.0.0 - 2015-07-20

https://github.com/cloudfoundry/php-buildpack/releases/tag/v4.0.0

-

upgrade PHP 5.6.11, 5.5.27, and 5.4.43 (
https://www.pivotaltracker.com/story/show/98855368)
-

Package all PHP modules in a single tarball

Instead of downloading PHP modules individually, include all modules in
a single tarball to make the manifest more manageable. (
https://www.pivotaltracker.com/story/show/95473520)
-

Package all httpd modules in a single tarball

Instead of downloading httpd modules individually, include all modules
in a single tarball to make the manifest more manageable. (
https://www.pivotaltracker.com/story/show/95473520)
-

Add nginx 1.9.2, upgrade to 1.6.3; drop 1.7.x (
https://www.pivotaltracker.com/story/show/98855608)
-

Include current stack in unsupported stack message (
https://www.pivotaltracker.com/story/show/98579464)

Packaged binaries:

| name | version | cf_stacks |
|----------|---------------|------------|
| php | 5.4.42 | cflinuxfs2 |
| php | 5.4.43 | cflinuxfs2 |
| php | 5.5.26 | cflinuxfs2 |
| php | 5.5.27 | cflinuxfs2 |
| php | 5.6.10 | cflinuxfs2 |
| php | 5.6.11 | cflinuxfs2 |
| hhvm | 3.5.0 | cflinuxfs2 |
| hhvm | 3.5.1 | cflinuxfs2 |
| hhvm | 3.6.0 | cflinuxfs2 |
| hhvm | 3.6.1 | cflinuxfs2 |
| composer | 1.0.0-alpha10 | cflinuxfs2 |
| httpd | 2.4.12 | cflinuxfs2 |
| newrelic | 4.20.2.95 | cflinuxfs2 |
| nginx | 1.6.3 | cflinuxfs2 |
| nginx | 1.8.0 | cflinuxfs2 |
| nginx | 1.9.2 | cflinuxfs2 |

Pythonv1.5.0 - 2015-07-20

https://github.com/cloudfoundry/python-buildpack/releases/tag/v1.5.0

-

Include CF built binaries (
https://www.pivotaltracker.com/story/show/97136960)
-

Include current stack in unsupported stack message (
https://www.pivotaltracker.com/story/show/98579464)
-

Update pip to 7.1.0
-

Update setuptools to 18.0.1
-

Set xtrace if $BUILDPACK_XTRACE set

Packaged binaries:

| name | version | cf_stacks |
|-------------|---------|------------|
| python | 2.7.10 | cflinuxfs2 |
| python | 2.7.9 | cflinuxfs2 |
| python | 3.3.5 | cflinuxfs2 |
| python | 3.3.6 | cflinuxfs2 |
| python | 3.4.2 | cflinuxfs2 |
| python | 3.4.3 | cflinuxfs2 |
| libffi | 3.1 | cflinuxfs2 |
| libmemcache | 1.0.18 | cflinuxfs2 |

NodeJSv1.5.0 - 2015-07-20

https://github.com/cloudfoundry/nodejs-buildpack/releases/tag/v1.5.0

-

remove versions 0.8.x and 0.9.x from manifest (
https://www.pivotaltracker.com/story/show/97770112)
-

Include CF built binaries (
https://www.pivotaltracker.com/story/show/97136960)

Packaged binaries:

| name | version | cf_stacks |
|------|---------|------------|
| node | 0.10.38 | cflinuxfs2 |
| node | 0.10.40 | cflinuxfs2 |
| node | 0.11.15 | cflinuxfs2 |
| node | 0.11.16 | cflinuxfs2 |
| node | 0.12.6 | cflinuxfs2 |
| node | 0.12.7 | cflinuxfs2 |

v1.4.2 -- 2015-07-13

https://github.com/cloudfoundry/nodejs-buildpack/releases/tag/v1.4.2

- Security upgrade to nodejs 0.12.7 Add support for node version 0.10.40
Remove support for node version 0.10.37 (
https://www.pivotaltracker.com/story/show/98855140)

Packaged binaries:

| name | version | cf_stacks |
|------|---------|------------|
| node | 0.10.38 | cflinuxfs2 |
| node | 0.10.40 | cflinuxfs2 |
| node | 0.11.15 | cflinuxfs2 |
| node | 0.11.16 | cflinuxfs2 |
| node | 0.12.4 | cflinuxfs2 |
| node | 0.12.6 | cflinuxfs2 |
| node | 0.12.7 | cflinuxfs2 |
| node | 0.8.27 | cflinuxfs2 |
| node | 0.8.28 | cflinuxfs2 |
| node | 0.9.11 | cflinuxfs2 |
| node | 0.9.12 | cflinuxfs2 |

StaticFilev1.2.1 - 2015-07-17

https://github.com/cloudfoundry/staticfile-buildpack/releases/tag/v1.2.1

-

Adding helpful message for unsupported stack (
https://www.pivotaltracker.com/story/show/98579464)
-

Compress nginx response body for more MIME types (
https://www.pivotaltracker.com/story/show/98128132)
-

Update nginx to version 1.8.0 (
https://www.pivotaltracker.com/story/show/97663450)

Packaged binaries:

| name | version | cf_stacks |
|-------|---------|------------|
| nginx | 1.8.0 | cflinuxfs2 |



.

Join cf-dev@lists.cloudfoundry.org to automatically receive all group messages.